Create New Users

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Zerion Identity MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp"
  }
}

Close
POST /users
application/json

Body

  • email string Required
  • first_name string
  • last_name string
  • password string Required
  • profile_id number
  • server_id string
  • username string Required

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id string Required

      the created user id

POST /users
curl \
 --request POST 'https://identity.zerionsoftware.com/v1/users' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"email":"support@iformbuilder.com","first_name":"Calvin","last_name":"Johnson","password":"testing123","profile_id":12345,"server_id":"app","username":"demo_user"}'
Request examples
{
  "email": "support@iformbuilder.com",
  "first_name": "Calvin",
  "last_name": "Johnson",
  "password": "testing123",
  "profile_id": 12345,
  "server_id": "app",
  "username": "demo_user"
}
Response examples (201)
[
  {
    "id": "5e72b386ac43d1414e59188b"
  },
  {
    "id": "5e72b386ac43d1414e59188c"
  }
]